/*
 * This file is in the Public Domain
 */
package com.ldodds.foaf.jena;

import java.util.ArrayList;

import junit.framework.TestCase;

import com.ldodds.foaf.*;
import com.ldodds.foaf.model.*;

/**
 * TODO -- description of JenaFOAFWriterFactoryTest
 * 
 * @author ldodds
 */
public class JenaFOAFWriterFactoryTest extends TestCase
{
    Person _person;    
    
    /** 
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        _person = new Person();
        _person.setFirstName("Leigh");
        _person.setSurname("Dodds");
        _person.setEmail("leigh@ldodds.com");
        _person.setHomepage("http://www.ldodds.com");
        _person.setWeblog("http://www.ldodds.com/blog");
        
        Person friend = new Person();
        friend.setName("Ethan Dodds");
        ArrayList friends = new ArrayList();
        friends.add(friend);
        _person.setFriends(friends);

    }
    public static void main(String[] args)
    {
        junit.textui.TestRunner.run(JenaFOAFWriterFactoryTest.class);
    }

    /*
     * Class under test for FOAFWriter getFOAFWriter(String, String)
     */
    public void testGetFOAFWriterStringString()
    {
    }

    /*
     * Class under test for FOAFWriter getFOAFWriter(String, File)
     */
    public void testGetFOAFWriterStringFile()
    {
    }

    /*
     * Class under test for FOAFWriter getFOAFWriter(String, OutputStream)
     */
    public void testGetFOAFWriterStringOutputStream() throws Exception
    {
        FOAFWriterFactory factory = new JenaFOAFWriterFactory();
                
        FOAFWriter writer = factory.getFOAFWriter("http://www.ldodds.com/ldodds.rdf", System.out);
        writer.writePerson(_person, true);
        writer.save(true);        
    }

    /*
     * Class under test for FOAFWriter getFOAFWriter(String, URL)
     */
    public void testGetFOAFWriterStringURL()
    {
    }

}
