package com.ldodds.foaf.model;

import com.ldodds.foaf.model.Person;

import junit.framework.TestCase;
import java.util.*;

/**
 * 
 * @author ldodds
 */
public class PersonTest extends TestCase
{

    /**
     * Constructor for PersonTest.
     * 
     * @param arg0
     */
    public PersonTest(String arg0)
    {
        super(arg0);
    }

    public static void main(String[] args)
    {
    }

    public void testCompareTo()
    {
        Person one = new Person();
        one.setEmail("abc@test.com");

        Person two = new Person();
        two.setEmail("def@test.com");

        Person three = new Person();

        Person four = new Person();
        four.setEmail("abc@test.ca");

        List people = new ArrayList();
        people.add(one);
        people.add(two);
        people.add(three);
        people.add(four);

        Collections.sort(people);
        assertEquals(four, people.get(0));
        assertEquals(one, people.get(1));
        assertEquals(two, people.get(2));
        assertEquals(three, people.get(3));

    }

}