package com.ldodds.foaf;

import java.io.*;
import java.net.*;

import com.ldodds.foaf.jena.*;

public abstract class FOAFGraphFactory
{
    public static FOAFGraphFactory getInstance()
    {
        //TODO -- this method is a hook for adding other
        //Java API implementations.
        return new JenaFOAFGraphFactory();
    }

    public abstract FOAFGraph getGraph(String uri) throws IOException;

    public abstract FOAFGraph getGraph(InputStream in, String base)
            throws IOException;

    public abstract FOAFGraph getGraph(URL url) throws IOException;
}